## 1.5.x -> 1.6.x

pull the update: `git pull`  
make these changes in your config.json file:
```diff
...
	"style": {
		...
+		"homepageLayout": "catask"
	},
...
```

after that, log into your mariadb/mysql console and execute these commands:
```
USE <catask database name>;
```
```
ALTER TABLE questions ADD COLUMN cw VARCHAR(255) NOT NULL DEFAULT '';
```
```
ALTER TABLE answers ADD COLUMN cw VARCHAR(255) NOT NULL DEFAULT '';
```

## 1.4.x -> 1.5.x

pull the update as usual: `git pull`  
run `pip install -r requirements.txt` again to install newly required packages  
make the following changes in your config.json file:  
```diff
...
    "instance": {
        ...
-        "image": "/static/img/ca_screenshot.png",
+        "image": "/static/icons/favicon/android-chrome-512x512.png",
        ...
    },
+    "style": {
+        "accentLight": "#6345d9",
+        "accentDark": "#7259d9",
+        "bgLight": "#ffffff",
+        "bgDark": "#202020",
+        "navStyle": "underline",
+        "tintColors": false,
+        "infoBoxLayout": "column"
+    },
+	 "trimContentAfter": "50",
...
```

## 1.3.0 -> 1.4.x
first, pull the update from the repository: `git pull`  
second, you'll need to update the database schema as it was changed slightly in this update, run these queries in mysql/mariadb console:  
```
USE <catask database name>;
```  
```
ALTER TABLE answers CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_bin;
```  
```
ALTER TABLE questions CONVERT TO CHARACTER SET utf8mb4 COLLATE utf8mb4_bin;
```  
after that, open your config file and add `"rules": ""` to `"instance"`, like this:  
```diff
...
    "instance": {
		...
        "fullBaseUrl": "https://catask.localhost",
+		"rules": ""
    },
...
```
